Package groovy.grape

# Interface GrapeEngine

    public interface GrapeEngine

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `CALLEE_DEPTH` |
  `static int` | `DEFAULT_CALLEE_DEPTH` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addResolver​(java.util.Map<java.lang.String,​java.lang.Object> args)` |
  `java.util.Map<java.lang.String,​java.util.Map<java.lang.String,​java.util.List<java.lang.String>>>` | `enumerateGrapes()` |
  `java.lang.Object` | `grab​(java.lang.String endorsedModule)` |
  `java.lang.Object` | `grab​(java.util.Map args)` |
  `java.lang.Object` | `grab​(java.util.Map args, java.util.Map... dependencies)` |
  `java.util.Map[]` | `listDependencies​(java.lang.ClassLoader classLoader)` |
  `java.net.URI[]` | `resolve​(java.util.Map args, java.util.List depsInfo, java.util.Map... dependencies)` |
  `java.net.URI[]` | `resolve​(java.util.Map args, java.util.Map... dependencies)` |

- ## Field Details

  - ### CALLEE_DEPTH

    static final java.lang.String CALLEE_DEPTH
    See Also:
      Constant Field Values

  - ### DEFAULT_CALLEE_DEPTH

    static final int DEFAULT_CALLEE_DEPTH
    See Also:
      Constant Field Values

- ## Method Details

  - ### grab

    java.lang.Object grab​(java.lang.String endorsedModule)

  - ### grab

    java.lang.Object grab​(java.util.Map args)

  - ### grab

    java.lang.Object grab​(java.util.Map args, java.util.Map... dependencies)

  - ### enumerateGrapes

    java.util.Map<java.lang.String,​java.util.Map<java.lang.String,​java.util.List<java.lang.String>>> enumerateGrapes()

  - ### resolve

    java.net.URI[] resolve​(java.util.Map args, java.util.Map... dependencies)

  - ### resolve

    java.net.URI[] resolve​(java.util.Map args, java.util.List depsInfo, java.util.Map... dependencies)

  - ### listDependencies

    java.util.Map[] listDependencies​(java.lang.ClassLoader classLoader)

  - ### addResolver

    void addResolver​(java.util.Map<java.lang.String,​java.lang.Object> args)